#
# spec file for package delayacct-utils (Version 0.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnl libnl-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           delayacct-utils
BuildRequires:  libnl libnl-devel
Summary:        Delay Accounting Utilities
Version:        0.1
Release:        6.2
Group:          System/Monitoring
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        delayacct-utils-0.1.tar.bz2

%description
Delay accounting allows the administrator to track the time an
application spends waiting on disk I/O, swap I/O and CPU scheduling.
This can help pin-point resource shortages in a system configuration.



Authors:
--------
    Balbir Singh, IBM Corp.
    Shailabh Nagar, IBM Corp.

%debug_package
%prep
%setup -q

%build
make CCOPT="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%_bindir $RPM_BUILD_ROOT%_mandir/man1
install -s -m 555 getdelays $RPM_BUILD_ROOT%_bindir
install -m 444 getdelays.1 $RPM_BUILD_ROOT%_mandir/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc README COPYING
%attr(555,root,root) %{_bindir}/getdelays
%attr(444,root,root) %{_mandir}/man?/*

%changelog -n delayacct-utils
* Tue Apr 11 2006 - okir@suse.de
- Initial packaging
